# Задача 5. Одна семья
# В одной базе данных хранится информация о членах нескольких разных семей. Хранение реализовано с помощью словаря
# с парами «Ф. И. — возраст». Напишите программу, которая запрашивает у пользователя фамилию и выводит на экран возраст
# всех членов одной семьи. Учтите, что, например, у двух людей разного пола фамилии различаются окончаниями.
# Поиск не должен быть регистрозависимым.
# Пример:
# Введите фамилию: Сидоров
# Сидоров Никита 35
# Сидорова Алина 34
# Сидоров Павел 10

family = {
    ('Сидоров', 'Иван'): 30,
    ('Сидорова', 'Анна'): 28,
    ('Сидорова', 'Юля'): 9,
    ('Иванов', 'Олег'): 40,
    ('Иванова', 'Василиса'): 32,
    ('Иванов', 'Юлий'): 10,
    ('Иванов', 'Максим'): 65,
    ('Кукушкин', 'Вадим'): 30,
    ('Кукушкина', 'Ольга'): 30,
    ('Кузин', 'Дима'): 25,
    ('Кузина', 'Инга'): 24,
}

user_sur = input('Введите фамилию: ')

check = False
for i_key, i_val in family.items():
    if user_sur.lower() in i_key[0].lower():
        check = True
        print('{surname} {name} {age}'.format(surname=i_key[0], name=i_key[1], age=i_val))

if not check:
    print('Семьи с такой фамилией в базе нет')
